Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041424
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-22 22:072019-08-22 14:45
Reportercollazoandy4View Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionb9af88ac78ee
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041424: Several unused methods in FIN_Utility.java

DescriptionThe depreceated methods getInStrList,getInStrSet, getPaymentMethodList, getFinancialAccountList and getOrderedPaymentDetailList is not used anymore
Steps To Reproduce-
Proposed SolutionRemove the unused methods
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00412383.0PR19Q4 closedcollazoandy4 FIN_Utility.{isPeriodOpen,isReversePayment,getOrderedPaymentDetailList) are not using bind-params 
depends on defect 0041619 closedAtulOpenbravo API Change: Remove unused methods from AdvPaymentMngtDao, FIN_Utility, PaymentReportDao 

-  Notes
(0113997)
hgbot (developer)
2019-08-13 18:43

Repository: erp/devel/pi
Changeset: b9af88ac78eecfa3e1d2a927d8cba587ec50601b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Aug 07 23:38:57 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b9af88ac78eecfa3e1d2a927d8cba587ec50601b [^]

Fixes Issue 0041424:Remove several unused methods in FIN_Utility.java

**Remove methods getInStrList, getInStrSet, getPaymentMethodList,
getFinancialAccountList and getOrderedPaymentDetailList that are
not used any more.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0114105)
vmromanos (developer)
2019-08-21 07:55

Code review OK
(0114223)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-22 22:07 collazoandy4 New Issue
2019-07-22 22:07 collazoandy4 Assigned To => Triage Finance
2019-07-22 22:07 collazoandy4 Modules => Core
2019-07-22 22:07 collazoandy4 Triggers an Emergency Pack => No
2019-07-22 22:11 collazoandy4 Relationship added depends on 0041238
2019-07-22 22:13 collazoandy4 Relationship deleted depends on 0041238
2019-07-22 22:13 collazoandy4 Relationship added related to 0041238
2019-08-06 20:16 AtulOpenbravo Status new => scheduled
2019-08-06 20:16 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2019-08-08 20:21 AtulOpenbravo Relationship added depends on 0041619
2019-08-13 18:43 hgbot Checkin
2019-08-13 18:43 hgbot Note Added: 0113997
2019-08-13 18:43 hgbot Status scheduled => resolved
2019-08-13 18:43 hgbot Resolution open => fixed
2019-08-13 18:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b9af88ac78eecfa3e1d2a927d8cba587ec50601b [^]
2019-08-21 07:55 vmromanos Review Assigned To => vmromanos
2019-08-21 07:55 vmromanos Note Added: 0114105
2019-08-21 07:55 vmromanos Status resolved => closed
2019-08-21 07:55 vmromanos Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114223


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker